# List all notes

You can fetch a list of notes that are associated to a contact.

Endpoint: GET /contacts/{id}/notes
Version: 2.9
Security: bearerAuth

## Path parameters:

  - `id` (integer, required)
    The unique identifier of a contact.

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string)
    String representing the object's type. Always has the value `list`.
    Example: list

  - `data` (array)
    An array of notes.

  - `data.type` (string)
    String representing the object's type. Always has the value `note`.
    Example: note

  - `data.id` (string)
    The id of the note.
    Example: 17495962

  - `data.created_at` (integer)
    The time the note was created.
    Example: 1674589321

  - `data.contact` (object)
    Represents the contact that the note was created about.

  - `data.contact.type` (string)
    String representing the object's type. Always has the value `contact`.

  - `data.contact.id` (string)
    The id of the contact.
    Example: 214656d0c743eafcfde7f248

  - `data.author` (object)
    Admins are teammate accounts that have access to a workspace.

  - `data.author.type` (string)
    String representing the object's type. Always has the value `admin`.
    Example: admin

  - `data.author.id` (string)
    The id representing the admin.
    Example: 1295

  - `data.author.name` (string)
    The name of the admin.
    Example: Joe Examplee

  - `data.author.email` (string)
    The email of the admin.
    Example: wash@example.com

  - `data.author.job_title` (string)
    The job title of the admin.
    Example: Philosopher

  - `data.author.away_mode_enabled` (boolean)
    Identifies if this admin is currently set in away mode.
    Example: false

  - `data.author.away_mode_reassign` (boolean)
    Identifies if this admin is set to automatically reassign new conversations to the apps default inbox.
    Example: false

  - `data.author.has_inbox_seat` (boolean)
    Identifies if this admin has a paid inbox seat to restrict/allow features that require them.
    Example: true

  - `data.author.team_ids` (array)
    This object represents the avatar associated with the admin.
    Example: [814865]

  - `data.author.avatar` (string)
    Image for the associated team or teammate
    Example: https://picsum.photos/200/300

  - `data.author.team_priority_level` (object)
    Admin priority levels for teams

  - `data.author.team_priority_level.primary_team_ids` (array)
    The primary team ids for the team
    Example: [814865]

  - `data.author.team_priority_level.secondary_team_ids` (array)
    The secondary team ids for the team
    Example: [493881]

  - `data.body` (string)
    The body text of the note.
    Example: <p>Text for the note.</p>

  - `total_count` (integer)
    A count of the total number of notes.
    Example: 1

  - `pages` (object)
    Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data.
A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

  - `pages.type` (string)
    the type of object `pages`.
    Enum: "pages"

  - `pages.page` (integer)
    The current page
    Example: 1

  - `pages.next` (object)

  - `pages.next.per_page` (integer)
    The number of results to fetch per page.
    Example: 2

  - `pages.next.starting_after` (string)
    The cursor to use in the next request to get the next page of results.
    Example: your-cursor-from-response

  - `pages.per_page` (integer)
    Number of results per page
    Example: 2

  - `pages.total_pages` (integer)
    Total number of pages
    Example: 13

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

